Bug 29679 - Reports result menu shows too many dividers
Summary: Reports result menu shows too many dividers
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Reports (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on: 29186
Blocks:
  Show dependency treegraph
 
Reported: 2021-12-10 20:24 UTC by Fridolin Somers
Modified: 2022-06-06 20:31 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
This removes borders between sections that are not required. The SQL report batch operations dropdown menu has divider list items which add a border between sections (bibliographic records, item records, etc.). This element is redundant because the sections have "headers" which also add a border.
Version(s) released in:
22.05.00


Attachments
Screenshot of the bug (52.31 KB, image/png)
2021-12-10 20:26 UTC, Fridolin Somers
Details
Bug 29679: Remove redundant divider element from reports menu (3.49 KB, patch)
2021-12-13 12:27 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 29679: Remove redundant divider element from reports menu (3.54 KB, patch)
2021-12-13 19:00 UTC, David Nind
Details | Diff | Splinter Review
Bug 29679: Remove redundant divider element from reports menu (3.62 KB, patch)
2021-12-15 13:56 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Fridolin Somers 2021-12-10 20:24:45 UTC
In reports when you have item/biblio/patron records, you see a menu "Batch operations with ..."

In this menu dividers are double when showing several menu headers.

Looks like it is since Bug 29186.
Comment 1 Fridolin Somers 2021-12-10 20:26:38 UTC
Created attachment 128408 [details]
Screenshot of the bug
Comment 2 Fridolin Somers 2021-12-10 20:27:21 UTC
Test with report from Bug 5697 :

SELECT biblio.biblionumber , biblio.title, items.itemnumber,
items.itemcallnumber, items.barcode, borrowers.firstname,
borrowers.surname, borrowers.borrowernumber, borrowers.cardnumber
FROM issues
LEFT JOIN borrowers ON borrowers.borrowernumber=issues.borrowernumber
LEFT JOIN items ON issues.itemnumber=items.itemnumber
LEFT JOIN biblio ON items.biblionumber=biblio.biblionumber
ORDER BY RAND()
Comment 3 Jonathan Druart 2021-12-13 10:40:26 UTC
Owen, should we remove the .dropdown-header's border-top?
Comment 4 Owen Leonard 2021-12-13 12:27:35 UTC
Created attachment 128456 [details] [review]
Bug 29679: Remove redundant divider element from reports menu

The SQL report batch operations dropdown menu has divider list items
which add a border between sections (Bibliographic records, item
records, etc.). This element is redundant because the sections have
"headers" which also add a border.

This patch removes them.

To test, apply the patch and run an SQL report which will return results
that trigger the batch modification menu:

SELECT biblio.biblionumber , biblio.title, items.itemnumber,
items.itemcallnumber, items.barcode, borrowers.firstname,
borrowers.surname, borrowers.borrowernumber, borrowers.cardnumber
FROM issues
LEFT JOIN borrowers ON borrowers.borrowernumber=issues.borrowernumber
LEFT JOIN items ON issues.itemnumber=items.itemnumber
LEFT JOIN biblio ON items.biblionumber=biblio.biblionumber
ORDER BY RAND()

There should be no double border in the menu.
Comment 5 David Nind 2021-12-13 19:00:38 UTC
Created attachment 128479 [details] [review]
Bug 29679: Remove redundant divider element from reports menu

The SQL report batch operations dropdown menu has divider list items
which add a border between sections (Bibliographic records, item
records, etc.). This element is redundant because the sections have
"headers" which also add a border.

This patch removes them.

To test, apply the patch and run an SQL report which will return results
that trigger the batch modification menu:

SELECT biblio.biblionumber , biblio.title, items.itemnumber,
items.itemcallnumber, items.barcode, borrowers.firstname,
borrowers.surname, borrowers.borrowernumber, borrowers.cardnumber
FROM issues
LEFT JOIN borrowers ON borrowers.borrowernumber=issues.borrowernumber
LEFT JOIN items ON issues.itemnumber=items.itemnumber
LEFT JOIN biblio ON items.biblionumber=biblio.biblionumber
ORDER BY RAND()

There should be no double border in the menu.

Signed-off-by: David Nind <david@davidnind.com>
Comment 6 Jonathan Druart 2021-12-15 13:56:33 UTC
Created attachment 128568 [details] [review]
Bug 29679: Remove redundant divider element from reports menu

The SQL report batch operations dropdown menu has divider list items
which add a border between sections (Bibliographic records, item
records, etc.). This element is redundant because the sections have
"headers" which also add a border.

This patch removes them.

To test, apply the patch and run an SQL report which will return results
that trigger the batch modification menu:

SELECT biblio.biblionumber , biblio.title, items.itemnumber,
items.itemcallnumber, items.barcode, borrowers.firstname,
borrowers.surname, borrowers.borrowernumber, borrowers.cardnumber
FROM issues
LEFT JOIN borrowers ON borrowers.borrowernumber=issues.borrowernumber
LEFT JOIN items ON issues.itemnumber=items.itemnumber
LEFT JOIN biblio ON items.biblionumber=biblio.biblionumber
ORDER BY RAND()

There should be no double border in the menu.

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 7 Fridolin Somers 2021-12-15 22:54:19 UTC
(In reply to Jonathan Druart from comment #3)
> Owen, should we remove the .dropdown-header's border-top?

I think it makes more sense to keep this CSS and remove divider HTML element
Comment 8 Fridolin Somers 2021-12-16 22:13:39 UTC
Pushed to master for 22.05, thanks to everybody involved 🦄
Comment 9 Andrew Fuerste-Henry 2021-12-17 21:20:19 UTC
Missing dependency, not backported to 21.05. Please ask if needed.